Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDirModel.Roles

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QDirModel.Roles

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDirModel

    public static final class QDirModel.Roles

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QDirModel.Roles` | `FileIconRole`
`static QDirModel.Roles` | `FileNameRole`
`static QDirModel.Roles` | `FilePathRole`

Method Summary
`static QDirModel.Roles` | `resolve(int value)` Returns the Roles constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDirModel.Roles` | `valueOf(java.lang.String name)`
`static QDirModel.Roles[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FileIconRole

    public static final QDirModel.Roles FileIconRole

### FilePathRole

    public static final QDirModel.Roles FilePathRole

### FileNameRole

    public static final QDirModel.Roles FileNameRole

Method Detail

### values

    public static QDirModel.Roles[] values()

### valueOf

    public static QDirModel.Roles valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDirModel.Roles resolve(int value)

  Returns the Roles constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD